GET /v1/projects/{projectGuid}/projectfees

visma.com

Summary: Get all the project fees for a project
Operation ID: ProjectFees_GetProjectFeesForProject
Auth: unknown

Parameters (9)

includeRecurringRules (boolean, query, optional, default: False)

Optional: Also fetches recurring rules along with project fees. Default is false.

invoiceableDate (string, query, optional)

Optional: Filter the project fees. When given, only the ones that are invoiceable before or on the given date are returned. Default is null.

isBillable (boolean, query, optional)

Optional: Filter the project fees. If true/false, only the billable/non-billable ones are returned. If null, all are returned. Default is null.

isBillablePeriodInFuture (boolean, query, optional)

Optional. Filter the project fees. If true/false, only the ones that will be billable in the future are returned. If null, all are returned. Default is false.

isBilled (boolean, query, optional)

Optional: Filter the project fees. If true/false, only the ones that are/are not invoiced are returned. If null, all are returned. Default is null.

pageToken (string, query, optional)

Optional: page token to fetch the next page.

productType (?, query, optional)

Optional: ProjectFee's product type. if given, it filters the projectFees by the given type. FixedFees (Own work), Materials (Products), Subcontracting

projectGuid (string, path, required)

ID of the project.

rowCount (integer, query, optional)

Optional: Number of rows to fetch.

No probe data for this endpoint yet.